/* $VER: AddMenu 1.0 (02.07.2004) Alex Carmona
 * 
 * This script goes in S:Arexx/AddMenu.rexx   (-s--rwed)
 *
 * To load the menu at boot time, place the AddMenu.rexx.info icon
 * in SYS:WBStartup/
 *
 * To either launch or quit from the Shell, type: RX AddMenu
 *
 * When editing from Special/Edit Menu: Make your changes, save, close Notepad.
 * The menu will then reload itself.
 *
 * Notes:
 * Be careful with single and double quotes, miss one and the menu will break.
 * Look closely at the examples below to understand the proper syntax for
 * sub-menus, names with spaces, sub-directories, multiple-commands, etc.
 */

ADDRESS WORKBENCH

OPTIONS RESULTS

GETATTR MENUCOMMANDS.COUNT VAR commandcount

IF (commandcount == 0) THEN DO

/* --- ADD CUSTOM MENU --- */

/* TOOLS */
 MENU ADD NAME Calculator	TITLE 'Calculator'	CMD "'ADDRESS COMMAND; Calculator"
 MENU ADD NAME Exchange		TITLE 'Exchange'	SHORTCUT 'X'	CMD "'ADDRESS COMMAND; WBRun Exchange"
 MENU ADD NAME AutoInfo 	TITLE 'Commodities-\AutoInfo'		CMD "'ADDRESS COMMAND; WBRun  AutoInfo"
 MENU ADD NAME AutoBorders	TITLE 'Commodities-\AutoBorderSize'	CMD "'ADDRESS COMMAND; WBRun  AutoBorderSize"
 MENU ADD NAME AutoPoint	TITLE 'Commodities-\AutoPoint'		CMD "'ADDRESS COMMAND; WBRun  AutoPoint"
 MENU ADD NAME Blanker		TITLE 'Commodities-\Blanker'		CMD "'ADDRESS COMMAND; WBRun  Blanker"
 MENU ADD NAME ClickToFront	TITLE 'Commodities-\ClickToFront'	CMD "'ADDRESS COMMAND; WBRun  ClickToFront"
 MENU ADD NAME ContextMenus	TITLE 'Commodities-\ContextMenus' 	CMD "'ADDRESS COMMAND; WBRun  ContextMenus"
 MENU ADD NAME CrossDOS		TITLE 'Commodities-\CrossDOS' 		CMD "'ADDRESS COMMAND; WBRun  CrossDOS"
 MENU ADD NAME DepthToFront	TITLE 'Commodities-\DepthToFront'	CMD "'ADDRESS COMMAND; WBRun  DepthToFront"
 MENU ADD NAME FKey			TITLE 'Commodities-\FKey'			CMD "'ADDRESS COMMAND; WBRun  FKey"
 MENU ADD NAME Iconify		TITLE 'Commodities-\Iconify'		CMD "'ADDRESS COMMAND; WBRun  Iconify"
 MENU ADD NAME MouseBlanker	TITLE 'Commodities-\MouseBlanker'	CMD "'ADDRESS COMMAND; WBRun  MouseBlanker"
 MENU ADD NAME NewRename	TITLE 'Commodities-\NewRename'		CMD "'ADDRESS COMMAND; WBRun  NewRename"
 MENU ADD NAME NoCapsLock	TITLE 'Commodities-\NoCapsLock'		CMD "'ADDRESS COMMAND; WBRun  NoCapsLock"
 MENU ADD NAME WBFilter		TITLE 'Commodities-\WBFilter'		CMD "'ADDRESS COMMAND; WBRun  WBFilter"
 MENU ADD NAME WindowMenu	TITLE 'Commodities-\WindowMenu'		CMD "'ADDRESS COMMAND; WBRun  WindowMenu"
 MENU ADD NAME IconEdit		TITLE 'IconEdit'		CMD "'ADDRESS COMMAND; WBRun  IconEdit"
 MENU ADD NAME InitPrinter	TITLE 'InitPrinter'		CMD "'ADDRESS COMMAND; WBRun  InitPrinter"
 MENU ADD NAME IoTools		TITLE 'IoTools'			CMD "'ADDRESS COMMAND; WBRun  IoTools"
 MENU ADD NAME KeyShow		TITLE 'KeyShow'			CMD "'ADDRESS COMMAND; WBRun  KeyShow"
 MENU ADD NAME MediaToolbox	TITLE '"Media Toolbox"'	CMD "'ADDRESS COMMAND; WBRun  ''Media Toolbox''"
 MENU ADD NAME MEmacs		TITLE 'MEmacs'			CMD "'ADDRESS COMMAND; WBRun  MEmacs"
 MENU ADD NAME Mounter		TITLE 'Mounter'			CMD "'ADDRESS COMMAND; WBRun  Mounter"
 MENU ADD NAME PartWizard	TITLE 'PartitionWizard'	CMD "'ADDRESS COMMAND; WBRun  PartitionWizard"
 MENU ADD NAME PlayCD		TITLE 'PlayCD'			CMD "'ADDRESS COMMAND; WBRun  PlayCD"
 MENU ADD NAME PrintFiles	TITLE 'PrintFiles'		CMD "'ADDRESS COMMAND; WBRun  PrintFiles"
 MENU ADD NAME Unarc		TITLE 'Unarc'			CMD "'ADDRESS COMMAND; WBRun  Unarc"
 MENU ADD NAME USBInspector	TITLE 'USBInspector'	CMD "'ADDRESS COMMAND; WBRun  USBInspector"

/* UTILITIES */
 MENU ADD NAME Action		TITLE '\Utilities\Action'		CMD "'ADDRESS COMMAND; WBRun  Action"
 MENU ADD NAME AmiGS		TITLE '\Utilities\AmiGS'		CMD "'ADDRESS COMMAND; WBRun  ''SYS:UTILITIES/AMIGS/AmiGS''"
 MENU ADD NAME AmiPDF		TITLE '\Utilities\AmiPDF'		CMD "'ADDRESS COMMAND; WBRun  ''SYS:UTILITIES/AMIPDF/AmiPDF''"
 MENU ADD NAME Clock		TITLE '\Utilities\Clock'		CMD "'ADDRESS COMMAND; WBRun  Clock"
 MENU ADD NAME MultiView	TITLE '\Utilities\MultiView'	CMD "'ADDRESS COMMAND; WBRun  MultiView"
 MENU ADD NAME NotePad		TITLE '\Utilities\NotePad'		CMD "'ADDRESS COMMAND; WBRun  NotePad"

/* SYSTEM */
 MENU ADD NAME FormatCdrw	TITLE '"\System\FormatCDRW"'	CMD "'ADDRESS COMMAND; WBRun  FormatCDRW"
 MENU ADD NAME NewShell		TITLE '"\System\NewShell"'		CMD "'ADDRESS COMMAND; NewShell"
 MENU ADD NAME TypeManager	TITLE '"\System\TypeManager"'	CMD "'ADDRESS COMMAND; WBRun  TypeManager"

/* PREFS */
 MENU ADD NAME AHI			TITLE '\Prefs\AHI'			CMD "'ADDRESS COMMAND; WBRun  AHI"
 MENU ADD NAME AmigaInput	TITLE '\Prefs\AmigaInput'	CMD "'ADDRESS COMMAND; WBRun  AmigaInput"
 MENU ADD NAME Asl			TITLE '\Prefs\Asl'			CMD "'ADDRESS COMMAND; WBRun  Asl"
 MENU ADD NAME DefIcons		TITLE '\Prefs\DefIcons'		CMD "'ADDRESS COMMAND; WBRun  DefIcons"
 MENU ADD NAME Font			TITLE '\Prefs\Font'			CMD "'ADDRESS COMMAND; WBRun  Font"
 MENU ADD NAME GUI			TITLE '\Prefs\GUI'			CMD "'ADDRESS COMMAND; WBRun  GUI"
 MENU ADD NAME Input		TITLE '\Prefs\Input'		CMD "'ADDRESS COMMAND; WBRun  Input"
 MENU ADD NAME Internet		TITLE '\Prefs\Internet'		CMD "'ADDRESS COMMAND; WBRun  Internet"
 MENU ADD NAME Locale		TITLE '\Prefs\Locale'		CMD "'ADDRESS COMMAND; WBRun  Locale"
 MENU ADD NAME MUI			TITLE '\Prefs\MUI'			CMD "'ADDRESS COMMAND; WBRun  ''MUI:MUI''"
 MENU ADD NAME Overscan		TITLE '\Prefs\Overscan'		CMD "'ADDRESS COMMAND; WBRun  Overscan"
 MENU ADD NAME Palette		TITLE '\Prefs\Palette'		CMD "'ADDRESS COMMAND; WBRun  Palette"
 MENU ADD NAME Picasso96	TITLE '\Prefs\Picasso96'	CMD "'ADDRESS COMMAND; WBRun  Picasso96Mode"
 MENU ADD NAME Pointer		TITLE '\Prefs\Pointer'		CMD "'ADDRESS COMMAND; WBRun  Pointer"
 MENU ADD NAME PopupMenu	TITLE '\Prefs\PopupMenu'	CMD "'ADDRESS COMMAND; WBRun  PopupMenu"
 MENU ADD NAME Printer		TITLE '\Prefs\Printer'		CMD "'ADDRESS COMMAND; WBRun  Printer"
 MENU ADD NAME PrinterGfx	TITLE '\Prefs\PrinterGfx'	CMD "'ADDRESS COMMAND; WBRun  PrinterGfx"
 MENU ADD NAME PrinterPS	TITLE '\Prefs\PrinterPS'	CMD "'ADDRESS COMMAND; WBRun  PrinterPS"
 MENU ADD NAME ScreenMode	TITLE '\Prefs\ScreenMode'	CMD "'ADDRESS COMMAND; WBRun  ScreenMode"
 MENU ADD NAME Screens		TITLE '\Prefs\Screens'		CMD "'ADDRESS COMMAND; WBRun  Screens"
 MENU ADD NAME Serial		TITLE '\Prefs\Serial'		CMD "'ADDRESS COMMAND; WBRun  Serial"
 MENU ADD NAME Sound		TITLE '\Prefs\Sound'		CMD "'ADDRESS COMMAND; WBRun  Sound"
 MENU ADD NAME Time			TITLE '\Prefs\Time'			CMD "'ADDRESS COMMAND; WBRun  Time"
 MENU ADD NAME USB			TITLE '\Prefs\USB'			CMD "'ADDRESS COMMAND; WBRun  USB"
 MENU ADD NAME WBPattern	TITLE '\Prefs\WBPattern'	CMD "'ADDRESS COMMAND; WBRun  WBPattern"
 MENU ADD NAME Workbench	TITLE '\Prefs\Workbench'	CMD "'ADDRESS COMMAND; WBRun  Workbench"

/* SPECIAL */
 MENU ADD NAME EditMenu		TITLE '"\Special\Menu-\Edit"'	CMD "'ADDRESS COMMAND; Notepad ''REXX:AddMenu.rexx'' FF NWW; rx AddMenu; rx AddMenu"
 MENU ADD NAME QuitMenu		TITLE '"\Special\Menu-\Remove"'	CMD 'AddMenu.rexx'
 MENU ADD NAME Reboot		TITLE '"\Special\Reboot-\Fast"'	CMD "'ADDRESS COMMAND; Reboot ''fast''"
 MENU ADD NAME Reset		TITLE '"\Special\Reboot-\Cold"'	CMD "'ADDRESS COMMAND; Reboot"

/* ------------------------- */

END

ELSE DO

/* --- REMOVE CUSTOM MENU --- */

 GETATTR MENUCOMMANDS STEM ccmm;
 DO i = 0 TO commandcount-1
  MENU REMOVE NAME ccmm.i.name
 END

/* ------------------------- */

END
